
Foreman - Feature #7086

Puppet modules being skipped or failed to import should be reported or noticed by foreman.

08/14/2014 10:34 AM - Roy Williams

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The issue is if you have a syntax error within a puppet module, or even a general error that prevents foreman from using it. It should

be shown as a notice ( not an error since this should be a graceful failure to import ).

I imported a module, with a silly mistake, which could have been avoided through the use of the puppet agent itself. However in lieu

of modules I create it would be good to know if a module pulled from a third party source was faulty instead of indicating nothing has

changed or happened.

Related issues:

Related to Foreman - Bug #3900: Class removed because invalid syntax validation New 12/17/2013

Has duplicate Foreman - Feature #11181: Display errors encountered when impor... Duplicate 07/21/2015

History

#1 - 08/14/2014 10:41 AM - Dominic Cleal

- Related to Bug #3900: Class removed because invalid syntax validation added

#2 - 07/22/2015 03:29 AM - Dominic Cleal

- Has duplicate Feature #11181: Display errors encountered when importing classes in the UI added

#3 - 09/27/2016 05:42 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, I'm closing to close this in order to combine it with #3900 which ought to be possible to fix now.

#4 - 09/27/2016 05:47 AM - Dominic Cleal

- Status changed from Duplicate to New

- Priority changed from Low to Normal

Correction: I'm reopening it as #3900 is a more complex requirement, since it may need some memorising of which class was imported from where,

so when a syntax error occurs it can skip classes originally imported from the file with the error.

#15095 provides a classes_and_errors API in the smart proxy which includes error information in the response. This includes syntax and permission

errors (#2289).

Note that the API will return a different response format and is only available on certain versions. It will return a 501 response if it isn't usable, so in

that case, the original classes API should be used instead.
